Skip to main content
POST
/
v1
/
billing
/
wallet
Register a funding wallet
curl --request POST \
  --url https://sandbox.apocor.ai/v1/billing/wallet \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "chain": "base",
  "address": "0xabc…"
}
'
import requests

url = "https://sandbox.apocor.ai/v1/billing/wallet"

payload = {
"chain": "base",
"address": "0xabc…"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({chain: 'base', address: '0xabc…'})
};

fetch('https://sandbox.apocor.ai/v1/billing/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "orgId": "<string>",
    "chain": "<string>",
    "address": "<string>",
    "isPrimary": true,
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer access token obtained from POST /v1/oauth/token using your Apocor API key.

Body

application/json
chain
string
address
string
dynamic_wallet_id
string
dynamic_user_id
string

Response

201 - application/json

Wallet registered.

data
object